"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalizeBlockAttributes = void 0;
const snakeCase = require("lodash.snakecase");
/**
 * Walks through attribute keys and makes them snakeCase if needed
 * @param attributes
 */
const normalizeBlockAttributes = (attributes) => {
    if (typeof attributes !== "object") {
        return {};
    }
    let changed = false;
    const result = Object.assign({}, attributes);
    for (const key in attributes) {
        if (Object.prototype.hasOwnProperty.call(attributes, key)) {
            const normalizedKey = snakeCase(key);
            if (normalizedKey !== key) {
                result[normalizedKey] = result[key];
                delete result[key];
                changed = true;
            }
        }
    }
    return changed ? result : attributes;
};
exports.normalizeBlockAttributes = normalizeBlockAttributes;
//# sourceMappingURL=normalizeBlockAttributes.js.map